#!/usr/bin/gawk

BEGIN {

	# Prepare input file concatenating each month's calendar
	system("echo -n "" > tmp.txt")
	for(i=1; i<=12; i++) {
		system("cal "i" 2017 >> tmp.txt")
	}

	# Save selected day
	day=ARGV[1]

	# Feed the generated input file to the script
	ARGV[1]="tmp.txt"
}

# Match the first line of each month's calendar
$2 == "2017" {

	# Parse month name
	month=$1
	
	# Skip day names line
	getline

	# Check if first day corresponds with the input argument, if so print month name
	getline
	if(day=="Su" && NF==7) {
		print month
	} else if(day=="Mo" && NF==6) {
		print month
	} else if(day=="Tu" && NF==5) {
		print month
	} else if(day=="We" && NF==4) {
		print month
	} else if(day=="Th" && NF==3) {
		print month
	} else if(day=="Fr" && NF==2) {
		print month
	} else if(day=="Sa" && NF==1) {
		print month
	}
}
