#!/bin/bash

# Check input arguments
if [ $# -ne 1 ]; then
	echo "Usage: es5.sh <dir>"
	exit 1
fi

# Split $PATH content into lines and filter out those not containing $1 as a sub-directory
paths=$(echo -n $PATH | tr ":" "\n" | grep -v -e "/$1/")

# Restore $PATH format (paths separated by ":") and print it
echo -n $paths | tr "\n" ":"

# Print newline
echo ""
