#!/usr/bin/gawk

BEGIN {

	# Prepare array of day names indexed by their calendar position
	days[1] = "Su"
	days[2] = "Mo"
	days[3] = "Tu"
	days[4] = "We"
	days[5] = "Th"
	days[6] = "Fr"
	days[7] = "Sa"

	# For each month print calendar on a temporary file
	for(i=1; i<=12; i++) {
		tmpfile = "tmp"i".txt"
		system("cal "i" 2017 > "tmpfile)

		# Parse month name
		getline < tmpfile
		month = $1

		# Skip day names line
		getline < tmpfile

		# Check if first day corresponds with the input argument, if so print month name
		getline < tmpfile
		if(days[8-NF] == ARGV[1])
			print month

		# Remove temporary file
		system("rm "tmpfile)
	}
}
